Update a thread
PATCH
Mark every message read or unread, move it to inbox, archive, spam or trash (moving out of trash restores it), or apply a label.
inbox_id*stringThe inbox ID
Format
uuidthread_id*stringThe thread ID
Format
uuidapplication/json- body
read?booleanMarks every message read or unread
folder?stringsent is assigned, never chosen
Value in
"inbox""archive""spam""trash"label_id?stringApplies this label
Format
uuidThread updated
application/json- response
object*"inbox_thread"Value in
"inbox_thread"id*stringFormat
uuidsubject*stringfolder*stringValue in
"inbox""archive""spam""sent""trash"labels*array<>read*booleanquarantined*integerMillionSend extension: held messages; 0 for inbox-scoped keys
curl -X PATCH 'https://api.millionsend.com/inboxes/497f6eca-6276-4993-bfeb-53cbbbba6f08/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "object": "inbox_thread", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "subject": "string", "folder": "inbox", "labels": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "color": "string" } ], "read": true, "quarantined": 0}